--- old/usr/src/man/man1m/dumpadm.1m	Mon Aug  5 17:17:20 2019
+++ new/usr/src/man/man1m/dumpadm.1m	Mon Aug  5 17:17:20 2019
@@ -1,11 +1,11 @@
 '\" te
 .\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved
-.\" Copyright 2015 Nexenta Systems, Inc.  All Rights Reserved.
+.\" Copyright 2017 Nexenta Systems, Inc.  All Rights Reserved.
 .\" Copyright (c) 2013 by Delphix. All rights reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License.
 .\" You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.  See the License for the specific language governing permissions and limitations under the License.
 .\" When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH DUMPADM 1M "Apr 09, 2015"
+.TH DUMPADM 1M "Feb 13, 2017"
 .SH NAME
 dumpadm \- configure operating system crash dump
 .SH SYNOPSIS
@@ -17,7 +17,6 @@
 .fi
 
 .SH DESCRIPTION
-.sp
 .LP
 The \fBdumpadm\fR program is an administrative command that manages the
 configuration of the operating system crash dump facility. A crash dump is a
@@ -65,7 +64,7 @@
 
       Dump content: kernel pages
        Dump device: /dev/dsk/c0t0d0s1 (swap)
-Savecore directory: /var/crash/saturn
+Savecore directory: /var/crash
   Savecore enabled: yes
    Save compressed: on
 .fi
@@ -78,7 +77,7 @@
 configuration. The example shows the set of default values: the dump content is
 set to kernel memory pages only, the dump device is a swap disk partition, the
 directory for \fBsavecore\fR files is set to
-\fB/var/crash/\fR\fIhostname\fR\fB,\fR \fBsavecore\fR is set to run
+\fB/var/crash\fR, \fBsavecore\fR is set to run
 automatically on reboot, and compression is turned on.
 .sp
 .LP
@@ -87,7 +86,6 @@
 displays the resulting configuration. You must be \fBroot\fR to view or change
 dump parameters.
 .SH OPTIONS
-.sp
 .LP
 The following options are supported:
 .sp
@@ -286,9 +284,7 @@
 on the system. If upon reboot the directory does not exist, it will be created
 prior to the execution of \fBsavecore\fR. See the \fBNOTES\fR section below for
 a discussion of security issues relating to access to the savecore directory.
-The default savecore directory is \fB/var/crash/\fIhostname\fR\fR where
-\fIhostname\fR is the output of the \fB-n\fR option to the \fBuname\fR(1)
-command.
+The default savecore directory is \fB/var/crash\fR.
 .RE
 
 .sp
@@ -343,7 +339,7 @@
 
            Dump content: kernel pages
             Dump device: /dev/dsk/c0t2d0s2 (dedicated)
-     Savecore directory: /var/crash/saturn
+     Savecore directory: /var/crash
        Savecore enabled: yes
         Save compressed: on
 .fi
@@ -351,7 +347,6 @@
 .sp
 
 .SH EXIT STATUS
-.sp
 .LP
 The following exit values are returned:
 .sp
@@ -386,7 +381,6 @@
 .RE
 
 .SH FILES
-.sp
 .ne 2
 .na
 \fB\fB/dev/dump\fR\fR
@@ -419,12 +413,10 @@
 .RE
 
 .SH SEE ALSO
-.sp
 .LP
 \fBsvcs\fR(1), \fBuname\fR(1), \fBsavecore\fR(1M), \fBsvcadm\fR(1M),
 \fBswap\fR(1M), \fBattributes\fR(5), \fBsmf\fR(5)
 .SH NOTES
-.sp
 .LP
 The system crash dump service is managed by the service management facility,
 \fBsmf\fR(5), under the service identifier:
@@ -442,7 +434,6 @@
 requesting restart, can be performed using \fBsvcadm\fR(1M). The service's
 status can be queried using the \fBsvcs\fR(1) command.
 .SS "Dump Device Selection"
-.sp
 .LP
 When the special \fBswap\fR token is specified as the argument to \fBdumpadm\fR
 \fB-d\fR the utility will attempt to configure the most appropriate swap device
@@ -453,7 +444,6 @@
 While local and remote swap files can be configured as the dump device, this is
 not recommended.
 .SS "Dump Device/Swap Device Interaction (UFS File Systems Only)"
-.sp
 .LP
 In the event that the dump device is also a swap device, and the swap device is
 deleted by the administrator using the \fBswap\fR \fB-d\fR command, the
@@ -472,7 +462,6 @@
 changed; the administrator must re-execute \fBdumpadm\fR \fB-d\fR \fBswap\fR to
 reselect the most appropriate device fom the new list of swap devices.
 .SS "Minimum Free Space"
-.sp
 .LP
 If the \fBdumpadm\fR \fB-m\fR option is used to create a \fBminfree\fR file
 based on a percentage of the total size of the file system containing the
@@ -483,7 +472,6 @@
 free space threshold of one megabyte. If no free space threshold is desired, a
 minfree file containing size 0 can be created.
 .SS "Security Issues"
-.sp
 .LP
 If, upon reboot, the specified savecore directory is not present, it will be
 created prior to the execution of \fBsavecore\fR with permissions 0700 (read,