--- old/usr/src/man/man1m/ipadm.1m	Mon Aug  5 17:17:21 2019
+++ new/usr/src/man/man1m/ipadm.1m	Mon Aug  5 17:17:21 2019
@@ -19,13 +19,35 @@
 .Os
 .Sh NAME
 .Nm ipadm
-.Nd configure IP interfaces, addresses and protocols
+.Nd configure IP and IPMP interfaces, addresses and protocols
 .Sh SYNOPSIS
 .Nm
-.Ic create-if
+.Ic create-ip
 .Op Fl t
 .Ar interface
 .Nm
+.Ic delete-ip
+.Ar interface
+.Pp
+.Nm
+.Ic create-ipmp
+.Op Fl t
+.Ar ipmp-interface
+.Nm
+.Ic delete-ipmp
+.Ar ipmp-interface
+.Nm
+.Ic add-ipmp
+.Op Fl t
+.Fl i Ar interface No ...
+.Ar ipmp-interface
+.Nm
+.Ic remove-ipmp
+.Op Fl t
+.Fl i Ar interface No ...
+.Ar ipmp-interface
+.Pp
+.Nm
 .Ic disable-if
 .Fl t
 .Ar interface
@@ -34,12 +56,10 @@
 .Fl t
 .Ar interface
 .Nm
-.Ic delete-if
-.Ar interface
-.Nm
 .Ic show-if
 .Op Oo Fl p Oc Fl o Ar field Ns Oo , Ns Ar field Oc Ns ...
 .Op Ar interface
+.Pp
 .Nm
 .Ic set-ifprop
 .Op Fl t
@@ -58,6 +78,7 @@
 .Op Fl p Ar prop Ns Oo , Ns Ar prop Oc Ns ...
 .Op Fl m Ar protocol
 .Op Ar interface
+.Pp
 .Nm
 .Ic create-addr
 .Op Fl t
@@ -83,6 +104,18 @@
 .Bro Cm yes Ns | Ns Cm no Brc Oc Ns ...
 .Ar addrobj
 .Nm
+.Ic delete-addr
+.Op Fl r
+.Ar addrobj
+.Nm
+.Ic show-addr
+.Op Oo Fl p Oc Fl o Ar field Ns Oo , Ns Ar field Oc Ns ...
+.Op Ar addrobj
+.Nm
+.Ic refresh-addr
+.Op Fl i
+.Ar addrobj
+.Nm
 .Ic down-addr
 .Op Fl t
 .Ar addrobj
@@ -98,19 +131,8 @@
 .Ic enable-addr
 .Op Fl t
 .Ar addrobj
+.Pp
 .Nm
-.Ic refresh-addr
-.Op Fl i
-.Ar addrobj
-.Nm
-.Ic delete-addr
-.Op Fl r
-.Ar addrobj
-.Nm
-.Ic show-addr
-.Op Oo Fl p Oc Fl o Ar field Ns Oo , Ns Ar field Oc Ns ...
-.Op Ar addrobj
-.Nm
 .Ic set-addrprop
 .Op Fl t
 .Fl p Ar prop Ns = Ns Ar value Ns Oo , Ns Ar value Oc Ns ...
@@ -125,6 +147,7 @@
 .Op Oo Fl c Oc Fl o Ar field Ns Oo , Ns Ar field Oc Ns ...
 .Op Fl p Ar prop Ns Oo , Ns Ar prop Oc Ns ...
 .Op Ar addrobj
+.Pp
 .Nm
 .Ic set-prop
 .Op Fl t
@@ -158,7 +181,7 @@
 .Em addrobj ,
 the
 .Em addrobj
-specifies a unique address on the system.
+specifies unique address on the system.
 It is made up of two parts, delimited by a
 .Sq / .
 The first part is the name of the interface and the second part is a string up
@@ -179,17 +202,17 @@
 .Cm tcp ,
 .Cm sctp
 or
-.Cm udp .
+.Cm udp.
 .Sh SUBCOMMANDS
 The following subcommands are supported:
 .Bl -tag -width Ds
 .It Xo
 .Nm
-.Ic create-if
+.Ic create-ip
 .Op Fl t
 .Ar interface
 .Xc
-Create an IP interface that will handle both IPv4 and IPv6 packets.
+Create the IP interface that will handle both IPv4 and IPv6 packets.
 The interface will be enabled as part of the creation process.
 The IPv4 interface will have the address 0.0.0.0.
 The IPv6 interface will have the address ::.
@@ -199,6 +222,66 @@
 .El
 .It Xo
 .Nm
+.Ic delete-ip
+.Ar interface
+.Xc
+Permanently delete the specified IP interface.
+.It Xo
+.Nm
+.Ic create-ipmp
+.Op Fl t
+.Ar ipmp-interface
+.Xc
+Create the IPMP interface that will handle both IPv4 and IPv6 packets.
+The interface will be enabled as part of the creation process.
+The IPv4 interface will have the address 0.0.0.0.
+The IPv6 interface will have the adress ::.
+.Bl -tag -width Ds
+.It Fl t Ns \&, Ns Fl -temporary
+Temporary, not persistent across reboots.
+.El
+.It Xo
+.Nm
+.Ic delete-ipmp
+.Ar ipmp-interface
+.Xc
+Permanently delete the IPMP interface.
+.It Xo
+.Nm
+.Ic add-ipmp
+.Op Fl t
+.Fl i Ar interface No ...
+.Ar ipmp-interface
+.Xc
+Add the IP interface(s) to the IPMP interface (group).
+.Bl -tag -width ""
+.It Fl i Ns \&, Ns Fl -interface
+Interface to be added to the IPMP interface (group).
+More than one
+.Fl i
+option can be specified.
+.It Fl t Ns \&, Ns Fl -temporary
+Temporary, not persistent across reboots.
+.El
+.It Xo
+.Nm
+.Ic remove-ipmp
+.Op Fl t
+.Fl i Ar interface No ...
+.Ar ipmp-interface
+.Xc
+Remove the IP interface(s) from the IPMP interface (group).
+.Bl -tag -width ""
+.It Fl i Ns \&, Ns Fl -interface
+Interface to be removed from the IPMP interface (group).
+More than one
+.Fl i
+option can be specified.
+.It Fl t Ns \&, Ns Fl -temporary
+Temporary, not persistent across reboots.
+.El
+.It Xo
+.Nm
 .Ic disable-if
 .Fl t
 .Ar interface
@@ -221,12 +304,6 @@
 .El
 .It Xo
 .Nm
-.Ic delete-if
-.Ar interface
-.Xc
-Permanently delete the specified IP interface.
-.It Xo
-.Nm
 .Ic show-if
 .Op Oo Fl p Oc Fl o Ar field Ns Oo , Ns Ar field Oc Ns ...
 .Op Ar interface
@@ -296,7 +373,7 @@
 .El
 .El
 .It Fl p Ns \&, Ns Fl -parsable
-Print the output in a parsable format.
+Print the output in parsable format.
 .El
 .It Xo
 .Nm
@@ -371,7 +448,7 @@
 Display the property values for one or all of the IP interfaces.
 .Bl -tag -width Ds
 .It Fl c Ns \&, Ns Fl -parsable
-Print the output in a parsable format.
+Print the output in parsable format.
 .It Fl m Ns \&, Ns Fl -module
 Specify which protocol to display.
 .It Fl o Ns \&, Ns Fl -output
@@ -422,7 +499,7 @@
 subcommand.
 Note that
 .Cm addrconf
-address configured on an interface is required to configure
+address configured on the interface is required to configure
 .Cm static
 IPv6 address on the same interface.
 This takes the following options:
@@ -509,68 +586,6 @@
 .El
 .It Xo
 .Nm
-.Ic down-addr
-.Op Fl t
-.Ar addrobj
-.Xc
-Down the address.
-This will stop packets from being sent or received.
-.Bl -tag -width Ds
-.It Fl t Ns \&, Ns Fl -temporary
-Temporary, not persistent across reboots.
-.El
-.It Xo
-.Nm
-.Ic up-addr
-.Op Fl t
-.Ar addrobj
-.Xc
-Up the address.
-This will enable packets to be sent and received.
-.Bl -tag -width Ds
-.It Fl t Ns \&, Ns Fl -temporary
-Temporary, not persistent across reboots.
-.El
-.It Xo
-.Nm
-.Ic disable-addr
-.Op Fl t
-.Ar addrobj
-.Xc
-Disable the address.
-.Bl -tag -width Ds
-.It Fl t Ns \&, Ns Fl -temporary
-Temporary, not persistent across reboots.
-.El
-.It Xo
-.Nm
-.Ic enable-addr
-.Op Fl t
-.Ar addrobj
-.Xc
-Enable the address.
-.Bl -tag -width Ds
-.It Fl t Ns \&, Ns Fl -temporary
-Temporary, not persistent across reboots.
-.El
-.It Xo
-.Nm
-.Ic refresh-addr
-.Op Fl i
-.Ar addrobj
-.Xc
-Extend the lease for
-.Sy DHCP
-addresses.
-It also restarts duplicate address detection for
-.Cm static
-addresses.
-.Bl -tag -width Ds
-.It Fl i Ns \&, Ns Fl -inform
-Obtain network configuration from DHCP without taking a lease on the address.
-.El
-.It Xo
-.Nm
 .Ic delete-addr
 .Op Fl r
 .Ar addrobj
@@ -612,7 +627,7 @@
 .Nm ipadm Ic down-addr
 subcommand
 .It Sy duplicate
-the address is a duplicate
+the address is duplicate
 .It Sy inaccessible
 the interface for this address has failed
 .It Sy ok
@@ -652,10 +667,72 @@
 The address.
 .El
 .It Fl p Ns \&, Ns Fl -parsable
-Print the output in a parsable format.
+Print the output in parsable format.
 .El
 .It Xo
 .Nm
+.Ic refresh-addr
+.Op Fl i
+.Ar addrobj
+.Xc
+Extend the lease for
+.Sy DHCP
+addresses.
+It also restarts duplicate address detection for
+.Cm static
+addresses.
+.Bl -tag -width ""
+.It Fl i Ns \&, Ns Fl -inform
+Obtain network configuration from DHCP without taking a lease on the address.
+.El
+.It Xo
+.Nm
+.Ic down-addr
+.Op Fl t
+.Ar addrobj
+.Xc
+Down the address.
+This will stop packets from being sent or received.
+.Bl -tag -width ""
+.It Fl t Ns \&, Ns Fl -temporary
+Temporary, not persistent across reboots.
+.El
+.It Xo
+.Nm
+.Ic up-addr
+.Op Fl t
+.Ar addrobj
+.Xc
+Up the address.
+This will enable packets to be sent and received.
+.Bl -tag -width ""
+.It Fl t Ns \&, Ns Fl -temporary
+Temporary, not persistent across reboots.
+.El
+.It Xo
+.Nm
+.Ic disable-addr
+.Op Fl t
+.Ar addrobj
+.Xc
+Disable the address.
+.Bl -tag -width ""
+.It Fl t Ns \&, Ns Fl -temporary
+Temporary, not persistent across reboots.
+.El
+.It Xo
+.Nm
+.Ic enable-addr
+.Op Fl t
+.Ar addrobj
+.Xc
+Enable the address.
+.Bl -tag -width ""
+.It Fl t Ns \&, Ns Fl -temporary
+Temporary, not persistent across reboots.
+.El
+.It Xo
+.Nm
 .Ic set-addrprop
 .Op Fl t
 .Fl p Ar prop Ns = Ns Ar value Ns Oo , Ns Ar value Oc Ns ...
@@ -728,7 +805,7 @@
 Display the property values for one or all of the addrobjs.
 .Bl -tag -width Ds
 .It Fl c Ns \&, Ns Fl -parsable
-Print the output in a parsable format.
+Print the output in parsable format.
 .It Fl o Ns \&, Ns Fl -output
 Select which fields will be shown.
 The field value can be one of the following names:
@@ -760,6 +837,7 @@
 subcommand for the list of property names.
 .El
 .It Xo
+.Nm
 .Ic set-prop
 .Op Fl t
 .Fl p Ar prop Ns Oo Cm + Ns | Ns Cm - Oc Ns = Ns
@@ -854,7 +932,7 @@
 Display the property values for one or all of the protocols.
 .Bl -tag -width Ds
 .It Fl c Ns \&, Ns Fl -parsable
-Print the output in a parsable format.
+Print the output in parsable format.
 .It Fl o Ns \&, Ns Fl -output
 Select which fields will be shown.
 The field value can be one of the following names: