--- old/usr/src/man/man1m/sharemgr.1m	Mon Aug  5 17:17:23 2019
+++ new/usr/src/man/man1m/sharemgr.1m	Mon Aug  5 17:17:23 2019
@@ -1,9 +1,10 @@
 '\" te
 .\" Copyright (c) 2008, Sun Microsystems, Inc. All Rights Reserved
+.\" Copyright 2017 Nexenta Systems, Inc.  All rights reserved.
 .\" The contents of this file are subject to the terms of the Common Development and Distribution License (the "License").  You may not use this file except in compliance with the License. You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE or http://www.opensolaris.org/os/licensing.
 .\"  See the License for the specific language governing permissions and limitations under the License. When distributing Covered Code, include this CDDL HEADER in each file and include the License file at usr/src/OPENSOLARIS.LICENSE.  If applicable, add the following below this CDDL HEADER, with
 .\" the fields enclosed by brackets "[]" replaced with your own identifying information: Portions Copyright [yyyy] [name of copyright owner]
-.TH SHAREMGR 1M "Feb 25, 2017"
+.TH SHAREMGR 1M "Sep 5, 2017"
 .SH NAME
 sharemgr \- configure and manage file sharing
 .SH SYNOPSIS
@@ -627,635 +628,6 @@
 across reboots.
 .RE
 
-.SS "Supported Properties"
-.LP
-Properties are protocol-specific. Currently, only the NFS and SMB protocols are
-supported. Properties have the following characteristics:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Values of type \fIboolean\fR take either \fBtrue\fR or \fBfalse\fR.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Values of type \fIvalue\fR take a numeric value.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Values of type \fIfile\fR take a file name and not a file path.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-Values of type \fIaccess-list\fR are described in detail following the
-descriptions of the NFS properties.
-.RE
-.sp
-.LP
-The general properties supported for NFS are:
-.sp
-.ne 2
-.na
-\fB\fBabe=\fR\fIboolean\fR\fR
-.ad
-.sp .6
-.RS 4n
-Set the access-based enumeration (ABE) policy for a share.  When set to
-\fBtrue\fR, ABE filtering is enabled on this share and directory entries to
-which the requesting user has no access will be omitted from directory listings
-returned to the client. When set to \fBfalse\fR or not defined, ABE filtering
-will not be performed on  this share. This property is not defined by default.
-.sp
-.ne 2
-.na
-\fB\fBdisabled\fR\fR
-.ad
-.sp .6
-.RS 4n
-Disable ABE for this share.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBenabled\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enable ABE for this share.
-.RE
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBaclok=\fIboolean\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Allows the NFS server to do access control for NFS Version 2 clients (running
-SunOS 2.4 or earlier). When \fBaclok\fR is set on the server, maximum access is
-given to all clients. For example, with \fBaclok\fR set, if anyone has read
-permissions, then everyone does. If \fBaclok\fR is not set, minimum access is
-given to all clients.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBad-container\fR\fR
-.ad
-.sp .6
-.RS 4n
-Specifies the AD container in which to publish shares.
-.sp
-The AD container is specified as a comma-separated list of attribute name-value
-pairs using the LDAP distinguished name (DN) or relative distinguished name
-(RDN) format. The DN or RDN must be specified in LDAP format using the
-\fBcn=\fR, \fBou=\fR, and \fBdc=\fR prefixes:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBcn\fR represents the common name
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBou\fR represents the organizational unit
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBdc\fR represents the domain component
-.RE
-\fBcn=\fR, \fBou=\fR and \fBdc=\fR are attribute types. The attribute type used
-to describe an object's RDN is called the naming attribute, which, for ADS,
-includes the following object classes:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBcn\fR for the \fBuser\fR object class
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBou\fR for the organizational unit (\fBOU\fR) object class
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBdc\fR for the \fBdomainDns\fR object class
-.RE
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBanon=\fIuid\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Set \fIuid\fR to be the effective user ID of unknown users. By default, unknown
-users are given the effective user ID \fBUID_NOBODY\fR. If uid is set to
-\fB-1\fR, access is denied.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBcatia=\fIboolean\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-CATIA V4 uses characters in file names that are considered to be invalid by
-Windows. CATIA V5 is available on Windows. A CATIA V4 file could be
-inaccessible to Windows clients if the file name contains any of the characters
-that are considered illegal in Windows. By default, CATIA character
-substitution is not performed.
-.sp
-If the \fBcatia\fR property is set to true, the following character
-substitution is applied to file names.
-.sp
-.in +2
-.nf
-CATIA    CATIA
-V4 UNIX  V5 Windows
-  "      \e250   0x00a8  Dieresis
-  *      \e244   0x00a4  Currency Sign
-  /      \e370   0x00f8  Latin Small Letter O with Stroke
-  :      \e367   0x00f7  Division Sign
-  <      \e253   0x00ab  Left-Pointing Double Angle Quotation Mark
-  >      \e273   0x00bb  Right-Pointing Double Angle Quotation Mark
-  ?      \e277   0x00bf  Inverted Question Mark
-  \e      \e377   0x00ff  Latin Small Letter Y with Dieresis
-  |      \e246   0x00a6  Broken Bar
-.fi
-.in -2
-.sp
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBcksum=\fIcksumlist\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Set the share to attempt to use end-to-end checksums. The value \fIcksumlist\fR
-specifies the checksum algorithms that should be used.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBcsc=\fR\fIvalue\fR\fR
-.ad
-.sp .6
-.RS 4n
-Set the client-side caching policy for a share. Client-side caching is a client
-feature and offline files are managed entirely by the clients.
-.sp
-.LP
-The following are valid values for the \fBcsc\fR property:
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBmanual\fR \fB-\fR Clients are permitted to cache files from the specified
-share for offline use as requested by users. However, automatic file-by-file
-reintegration is not permitted. \fBmanual\fR is the default value.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBauto\fR \fB-\fR Clients are permitted to automatically cache files from the
-specified share for offline use and file-by-file reintegration is permitted.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBvdo\fR \fB-\fR Clients are permitted to automatically cache files from the
-specified share for offline use, file-by-file reintegration is permitted, and
-clients are permitted to work from their local cache even while offline.
-.RE
-.RS +4
-.TP
-.ie t \(bu
-.el o
-\fBdisabled\fR \fB-\fR Client-side caching is not permitted for this share.
-.RE
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBguestok=\fR\fIboolean\fR\fR
-.ad
-.sp .6
-.RS 4n
-Set the guest access policy for the share. When set to \fBtrue\fR guest access
-is allowed on this share. When set to \fBfalse\fR or not defined guest access
-is not allowed on this share. This property is not defined by default.
-.sp
-An \fBidmap\fR(1M) name-based rule can be used to map \fBguest\fR to any local
-username, such as \fBguest\fR or \fBnobody\fR. If the local account has a
-password in \fB/var/smb/smbpasswd\fR the guest connection will be authenticated
-against that password. Any connection made using an account that maps to the
-local guest account will be treated as a guest connection.
-.sp
-Example name-based rule:
-.sp
-.in +2
-.nf
-# \fBidmap add winname:Guest unixuser:guest\fR
-.fi
-.in -2
-.sp
-
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBindex=\fIfile\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Load \fIfile\fR rather than a listing of the directory containing this file
-when the directory is referenced by an NFS URL.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBlog=\fItag\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Enables NFS server logging for the specified system. The optional tag
-determines the location of the related log files. The tag is defined in
-\fBetc/nfs/nfslog.conf\fR. If no tag is specified, the default values
-associated with the global tag in \fBetc/nfs/nfslog.conf\fR is used. Support of
-NFS server logging is available only for NFS Version 2 and Version 3 requests.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBnosub=\fIboolean\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Prevents clients from mounting subdirectories of shared directories. For
-example, if \fB/export\fR is shared with the \fBnosub\fR option on server
-\fBwool\fR then an NFS client cannot do:
-.sp
-.in +2
-.nf
-# \fBmount -F nfs wool:/export/home/mnt\fR
-.fi
-.in -2
-.sp
-
-NFS Version 4 does not use the MOUNT protocol. The \fBnosub\fR option applies
-only to NFS Version 2 and Version 3 requests.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBnosuid=\fIboolean\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-By default, clients are allowed to create files on a shared file system with
-the \fBsetuid\fR or \fBsetgid\fR mode enabled. Specifying \fBnosuid\fR causes
-the server file system to silently ignore any attempt to enable the
-\fBsetuid\fR or \fBsetgid\fR mode bits.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBpublic=\fIboolean\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Moves the location of the public file handle from root (\fB/\fR) to the
-exported directory for WebNFS-enabled browsers and clients. This option does
-not enable WebNFS service; WebNFS is always on. Only one file system per server
-can have the \fBpublic\fR property. You can apply the \fBpublic\fR property
-only to a share and not to a group.
-.RE
-
-.sp
-.LP
-NFS also supports negotiated optionsets for supported security modes. The
-security modes are documented in \fBnfssec\fR(5). The properties supported for
-these optionsets are:
-.sp
-.ne 2
-.na
-\fB\fIcharset\fR=\fIaccess-list\fR\fR
-.ad
-.sp .6
-.RS 4n
-Where \fIcharset\fR is one of: \fBeuc-cn\fR, \fBeuc-jp\fR, \fBeuc-jpms\fR,
-\fBeuc-kr\fR, \fBeuc-tw\fR, \fBiso8859-1\fR, \fBiso8859-2\fR, \fBiso8859-5\fR,
-\fBiso8859-6\fR, \fBiso8859-7\fR, \fBiso8859-8\fR, \fBiso8859-9\fR,
-\fBiso8859-13\fR, \fBiso8859-15\fR, \fBkoi8-r\fR.
-.sp
-Clients that match the \fIaccess-list\fR for one of these properties will be
-assumed to be using that character set and file and path names will be
-converted to UTF-8 for the server.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBro=\fIaccess-list\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Sharing is read-only to the clients listed in \fIaccess-list\fR; overrides the
-\fBrw\fR suboption for the clients specified. See the description of
-\fIaccess-list\fR below.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBrw=\fIaccess-list\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Sharing is read-write to the clients listed in \fIaccess-list\fR; overrides the
-\fBro\fR suboption for the clients specified. See the description of
-\fIaccess-list\fR below.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBnone=\fIaccess-list\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Access is not allowed to any client that matches the access list. The exception
-is when the access list is an asterisk (\fB*\fR), in which case \fBro\fR or
-\fBrw\fR can override \fBnone\fR.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBroot=\fIaccess-list\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Only root users from the hosts specified in \fIaccess-list\fR have root access.
-See details on \fIaccess-list\fR below. By default, no host has root access, so
-root users are mapped to an anonymous user ID (see the \fBanon=uid\fR option
-described above). Netgroups can be used if the file system shared is using UNIX
-authentication (\fBAUTH_SYS\fR).
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBroot_mapping=\fIuid\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-For a client that is allowed root access, map the root UID to the specified
-user id.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBwindow=\fIvalue\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-When sharing with \fBsec=dh\fR (see \fBnfssec\fR(5)), set the maximum lifetime
-(in seconds) of the RPC request's credential (in the authentication header)
-that the NFS server allows. If a credential arrives with a lifetime larger than
-what is allowed, the NFS server rejects the request. The default value is 30000
-seconds (8.3 hours). This property is ignored for security modes other than
-\fBdh\fR.
-.RE
-
-.sp
-.LP
-The general properties supported for SMB are:
-.sp
-.ne 2
-.na
-\fB\fBro=\fIaccess-list\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Sharing is read-only to the clients listed in \fIaccess-list\fR; overrides the
-\fBrw\fR suboption for the clients specified. See the description of
-\fIaccess-list\fR below.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBrw=\fIaccess-list\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Sharing is read-write to the clients listed in \fIaccess-list\fR; overrides the
-\fBro\fR suboption for the clients specified. See the description of
-\fIaccess-list\fR below.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fBnone=\fIaccess-list\fR\fR\fR
-.ad
-.sp .6
-.RS 4n
-Access is not allowed to any client that matches the access list. The exception
-is when the access list is an asterisk (\fB*\fR), in which case \fBro\fR or
-\fBrw\fR can override \fBnone\fR.
-.RE
-
-.SS "Access List Argument"
-.LP
-The \fIaccess-list\fR argument is either the string \fB"*"\fR to represent all
-hosts or a colon-separated list whose components can be any number of the
-following:
-.sp
-.ne 2
-.na
-\fB\fIhostname\fR\fR
-.ad
-.sp .6
-.RS 4n
-The name of a host. With a server configured for DNS or LDAP naming in the
-\fBnsswitch.conf\fR(4) \fBhosts\fR entry, a hostname must be represented as a
-fully qualified DNS or LDAP name.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fInetgroup\fR\fR
-.ad
-.sp .6
-.RS 4n
-A \fInetgroup\fR contains a number of hostnames. With a server configured for
-DNS or LDAP naming in the \fBnsswitch.conf\fR(4) \fBhosts\fR entry, any
-hostname in a netgroup must be represented as a fully qualified DNS or LDAP
-name.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fIdomainname\fR.\fIsuffix\fR\fR
-.ad
-.sp .6
-.RS 4n
-To use domain membership the server must use DNS or LDAP, rather than, for
-example, NIS, to resolve hostnames to IP addresses. That is, the
-\fBhosts\fR entry in the \fBnsswitch.conf\fR(4) must specify \fBdns\fR or
-\fBldap\fR ahead of \fBnis\fR, because only DNS and LDAP
-return the full domain name of the host. Other name services, such as NIS,
-cannot be used to resolve hostnames on the server because, when mapping
-an IP address to a hostname, they do not return domain information. For
-example, for the IP address 172.16.45.9:
-.sp
-.ne 2
-.na
-\fBNIS\fR
-.ad
-.sp .6
-.RS 4n
-Returns: \fBmyhost\fR
-.RE
-
-.sp
-.ne 2
-.na
-\fBDNS or LDAP\fR
-.ad
-.sp .6
-.RS 4n
-Returns: \fBmyhost.mydomain.mycompany.com\fR
-.RE
-
-The domain name suffix is distinguished from hostnames and netgroups by a
-prefixed dot. For example:
-.sp
-.in +2
-.nf
-rw=.mydomain.mycompany.com
-.fi
-.in -2
-
-A single dot can be used to match a hostname with no suffix. For example, the
-specification:
-.sp
-.in +2
-.nf
-rw=.
-.fi
-.in -2
-
-\&...matches \fBmydomain\fR but not \fBmydomain.mycompany.com\fR. This feature
-can be used to match hosts resolved through NIS rather than DNS and
-LDAP.
-.RE
-
-.sp
-.ne 2
-.na
-\fB\fInetwork\fR\fR
-.ad
-.sp .6
-.RS 4n
-The network or subnet component is preceded by an at-sign (\fB@\fR). It can be
-either a name or a dotted address. If a name, it is converted to a dotted
-address by \fBgetnetbyname\fR(3SOCKET). For example:
-.sp
-.in +2
-.nf
-=@mynet
-.fi
-.in -2
-
-\&...is equivalent to:
-.sp
-.in +2
-.nf
-=@172.16 or =@172.16.0.0
-.fi
-.in -2
-
-The network prefix assumes an octet-aligned netmask determined from the zeroth
-octet in the low-order part of the address up to and including the high-order
-octet, if you want to specify a single IP address. In the case where network
-prefixes are not byte-aligned, the syntax allows a mask length to be specified
-explicitly following a slash (\fB/\fR) delimiter. For example:
-.sp
-.in +2
-.nf
-=@theothernet/17 or =@172.16.132/22
-.fi
-.in -2
-
-\&...where the mask is the number of leftmost contiguous significant bits in
-the corresponding IP address.
-.RE
-
-.sp
-.LP
-A prefixed minus sign (\fB-\fR) denies access to a component of
-\fIaccess-list\fR. The list is searched sequentially until a match is found
-that either grants or denies access, or until the end of the list is reached.
-For example, if host \fBterra\fR is in the netgroup \fBengineering\fR, then:
-.sp
-.in +2
-.nf
-rw=-terra:engineering
-.fi
-.in -2
-
-.sp
-.LP
-\&...denies access to \fBterra\fR, but:
-.sp
-.in +2
-.nf
-rw=engineering:-terra
-.fi
-.in -2
-
-.sp
-.LP
-\&...grants access to \fBterra\fR.
 .SH EXIT STATUS
 .ne 2
 .na
@@ -1310,4 +682,5 @@
 .SH SEE ALSO
 .LP
 \fBidmap\fR(1M), \fBsharectl\fR(1M), \fBzfs\fR(1M), \fBattributes\fR(5),
-\fBnfssec\fR(5), \fBsmf\fR(5), \fBstandards\fR(5)
+\fBnfssec\fR(5), \fBshareacl\fR(5), \fBsharenfs\fR(5), \fBsharesmb\fR(5),
+\fBsmf\fR(5), \fBstandards\fR(5)