--- old/usr/src/man/man1m/zfs.1m	Mon Aug  5 17:17:23 2019
+++ new/usr/src/man/man1m/zfs.1m	Mon Aug  5 17:17:23 2019
@@ -101,9 +101,6 @@
 .Oo Fl t Ar type Ns Oo , Ns Ar type Oc Ns ... Oc
 .Oo Ar filesystem Ns | Ns Ar volume Ns | Ns Ar snapshot Oc Ns ...
 .Nm
-.Cm remap
-.Ar filesystem Ns | Ns Ar volume
-.Nm
 .Cm set
 .Ar property Ns = Ns Ar value Oo Ar property Ns = Ns Ar value Oc Ns ...
 .Ar filesystem Ns | Ns Ar volume Ns | Ns Ar snapshot Ns ...
@@ -168,7 +165,7 @@
 .Ar snapshot bookmark
 .Nm
 .Cm send
-.Op Fl DLPRcenpv
+.Op Fl DLPRcenpsv
 .Op Oo Fl I Ns | Ns Fl i Oc Ar snapshot
 .Ar snapshot
 .Nm
@@ -182,14 +179,18 @@
 .Fl t Ar receive_resume_token
 .Nm
 .Cm receive
-.Op Fl Fnsuv
-.Op Fl o Sy origin Ns = Ns Ar snapshot
+.Op Fl FKnsuv
+.Oo Fl l Ar filesystem Ns | Ns Ar volume Oc Ns ...
+.Oo Fl o Ar property Ns = Ns Ar value Oc Ns ...
+.Oo Fl x Ar property Oc Ns ...
 .Ar filesystem Ns | Ns Ar volume Ns | Ns Ar snapshot
 .Nm
 .Cm receive
-.Op Fl Fnsuv
+.Op Fl FKnsuv
 .Op Fl d Ns | Ns Fl e
-.Op Fl o Sy origin Ns = Ns Ar snapshot
+.Oo Fl l Ar filesystem Ns | Ns Ar volume Oc Ns ...
+.Oo Fl o Ar property Ns = Ns Ar value Oc Ns ...
+.Oo Fl x Ar property Oc Ns ...
 .Ar filesystem
 .Nm
 .Cm receive
@@ -613,6 +614,13 @@
 .Pp
 This property can also be referred to by its shortened column name,
 .Sy lused .
+.It Sy modified
+For a snapshot, indicates whether the parent filesystem or volume has
+been modified since the snapshot.
+This property can be either
+.Sy yes
+or
+.Sy no .
 .It Sy mounted
 For file systems, indicates whether the file system is currently mounted.
 This property can be either
@@ -1080,6 +1088,35 @@
 This property can also be referred to by its shortened column name
 .Sy compress .
 Changing this property affects only newly-written data.
+.It Sy smartcompression Ns = Ns Sy on Ns | Ns Sy off
+Smart compression is a feature which optimizes compression performance
+on filesystems which contain a mixture of compressible and
+incompressible data.
+When
+.Sy compression
+is enabled on a filesystem, smart compression dynamically tracks per-file
+compression ratios to determine if a file is compressible or not.
+When the compression ratio being achieved is too low, smart compression
+progressively backs off attempting to compress the file.
+.Pp
+The algorithm periodically checks whether new data written to a file
+previously deemed incompressible is still not compressible and adjusts
+behavior accordingly.
+Certain types of files, such as virtual machine disk files or large database
+files, can contain a mixture of both types of data.
+Although smart compression tries to detect these situations, in marginal cases
+it can be too pessimistic, which results in a reduction of the overall
+compression ratio.
+In this case, setting the
+.Sy smartcompression
+property to
+.Sy off
+turns off smart compression
+on a filesystem, so that data is always compressed regardless of the
+compression ratio achieved.
+.Pp
+The default value is
+.Sy on .
 .It Sy copies Ns = Ns Sy 1 Ns | Ns Sy 2 Ns | Ns Sy 3
 Controls the number of copies of data stored for this dataset.
 These copies are in addition to any redundancy provided by the pool, for
@@ -1406,14 +1443,9 @@
 and
 .Nm zfs Cm unshare
 commands.
-If the property is set to
-.Sy on ,
-the
-.Xr sharemgr 1M
-command is invoked with no options.
-Otherwise, the
-.Xr sharemgr 1M
-command is invoked with options equivalent to the contents of this property.
+See
+.Xr sharesmb 5
+for the share options description.
 .Pp
 Because SMB shares requires a resource name, a unique resource name is
 constructed from the dataset name.
@@ -1477,13 +1509,9 @@
 and
 .Nm zfs Cm unshare
 commands.
-If the property is set to
-.Sy on ,
-.Xr share 1M
-command is invoked with no options.
-Otherwise, the
-.Xr share 1M
-command is invoked with options equivalent to the contents of this property.
+See
+.Xr sharenfs 5
+for the share options description.
 .Pp
 When the
 .Sy sharenfs
@@ -1600,6 +1628,19 @@
 enabled for virus scanning to occur.
 The default value is
 .Sy off .
+.It Sy wbc_mode Ns = Ns Sy on Ns | Ns Sy off
+Controls the mode of write back cache.
+After the property has been set on a dataset all the child datasets inherit the
+property.
+Due to its recursive nature the property will conflict with any child dataset or
+any parent dataset having this property enabled as well.
+The property cannot be set if the target pool does not have special device
+.Pq special vdev .
+The default value is
+.Sy off .
+This property cannot be enabled together with the
+.Sy dedup
+property.
 .It Sy xattr Ns = Ns Sy on Ns | Ns Sy off
 Controls whether extended attributes are enabled for this file system.
 The default value is
@@ -2397,16 +2438,6 @@
 .El
 .It Xo
 .Nm
-.Cm remap
-.Ar filesystem Ns | Ns Ar volume
-.Xc
-Remap the indirect blocks in the given fileystem or volume so that they no
-longer reference blocks on previously removed vdevs and we can eventually
-shrink the size of the indirect mapping objects for the previously removed
-vdevs. Note that remapping all blocks might not be possible and that
-references from snapshots will still exist and cannot be remapped.
-.It Xo
-.Nm
 .Cm upgrade
 .Xc
 Displays a list of file systems that are not the most recent version.
@@ -2660,7 +2691,7 @@
 .It Xo
 .Nm
 .Cm send
-.Op Fl DLPRcenpv
+.Op Fl DLPRcenpsv
 .Op Oo Fl I Ns | Ns Fl i Oc Ar snapshot
 .Ar snapshot
 .Xc
@@ -2732,6 +2763,12 @@
 .Fl F
 flag is specified when this stream is received, snapshots and file systems that
 do not exist on the sending side are destroyed.
+If the
+.Fl K
+flag is specified in conjunction with
+.Fl F
+flag, then it modifies the conventional force-receive behavior to not destroy
+destination snapshots that are not present at the replication source.
 .It Fl e, -embed
 Generate a more compact stream by using
 .Sy WRITE_EMBEDDED
@@ -2814,6 +2851,15 @@
 .Fl R
 is specified.
 The receiving system must also support this feature.
+.It Fl s
+Calculate send stream size.
+Do not generate any actual send data.
+This is useful when one needs to know stream size in order to store the stream
+externally.
+With
+.Fl v
+specified, provides info on stream header and stream data portion sizes, in
+addition to the total stream size.
 .It Fl v, -verbose
 Print verbose information about the stream package generated.
 This information includes a per-second report of how much data has been sent.
@@ -2925,16 +2971,20 @@
 .It Xo
 .Nm
 .Cm receive
-.Op Fl Fnsuv
-.Op Fl o Sy origin Ns = Ns Ar snapshot
+.Op Fl FKsnuv
+.Oo Fl l Ar filesystem Ns | Ns Ar volume Oc Ns ...
+.Oo Fl o Ar property Ns = Ns Ar value Oc Ns ...
+.Oo Fl x Ar property Oc Ns ...
 .Ar filesystem Ns | Ns Ar volume Ns | Ns Ar snapshot
 .Xc
 .It Xo
 .Nm
 .Cm receive
-.Op Fl Fnsuv
+.Op Fl FKnsuv
 .Op Fl d Ns | Ns Fl e
-.Op Fl o Sy origin Ns = Ns Ar snapshot
+.Oo Fl l Ar filesystem Ns | Ns Ar volume Oc Ns ...
+.Oo Fl o Ar property Ns = Ns Ar value Oc Ns ...
+.Oo Fl x Ar property Oc Ns ...
 .Ar filesystem
 .Xc
 Creates a snapshot whose contents are as specified in the stream provided on
@@ -3017,6 +3067,9 @@
 .Nm zfs Cm send Fl R Op Fl i Ns | Ns Fl I
 .Pc ,
 destroy snapshots and file systems that do not exist on the sending side.
+.It Fl K
+When force receive is enabled, do not destroy snapshots on the receiving side
+that do not exist on the sending side.
 .It Fl d
 Discard the first element of the sent snapshot's file system name, using the
 remaining elements to determine the name of the target file system for the new
@@ -3025,11 +3078,28 @@
 Discard all but the last element of the sent snapshot's file system name, using
 that element to determine the name of the target file system for the new
 snapshot as described in the paragraph above.
+.It Fl l Ar filesystem Ns | Ns Ar volume
+Limits the receive to only the
+.Ar filesystem
+or
+.Ar volume
+specified.
+As multiple options may be specified, this can be used to restore specific
+filesystems or volumes from the received stream.
 .It Fl n
 Do not actually receive the stream.
 This can be useful in conjunction with the
 .Fl v
 option to verify the name the receive operation would use.
+.It Fl o Ar property Ns = Ns Ar value
+Sets the specified
+.Ar property
+to
+.Ar value
+during receive of the stream.
+Specifying multiple
+.Fl o
+options is allowed.
 .It Fl o Sy origin Ns = Ns Ar snapshot
 Forces the stream to be received as a clone of the given snapshot.
 If the stream is a full send stream, this will create the filesystem
@@ -3043,6 +3113,12 @@
 .It Fl v
 Print verbose information about the stream and the time required to perform the
 receive operation.
+.It Fl x Ar property
+Excludes the specified property from the received stream as if it was not
+included in the send stream.
+Specifying multiple
+.Fl x
+options is allowed.
 .It Fl s
 If the receive is interrupted, save the partially received state, rather
 than deleting it.
@@ -3863,9 +3939,7 @@
 .Xr gzip 1 ,
 .Xr ssh 1 ,
 .Xr mount 1M ,
-.Xr share 1M ,
 .Xr sharemgr 1M ,
-.Xr unshare 1M ,
 .Xr zonecfg 1M ,
 .Xr zpool 1M ,
 .Xr chmod 2 ,
@@ -3874,4 +3948,6 @@
 .Xr fsync 3C ,
 .Xr dfstab 4 ,
 .Xr acl 5 ,
-.Xr attributes 5
+.Xr attributes 5 ,
+.Xr sharenfs 5 ,
+.Xr sharesmb 5